import { Lift } from './Lift';
import { Site } from './Site';
export declare class Building {
    constructor(config?: {
        [P in keyof Building]?: Building[P];
    });
    id: number;
    name: string;
    lift_qty: number;
    created_at: Date;
    updated_at: Date;
    site: Site;
    lifts: Lift[];
}
