"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheLocation = void 0;
const typeorm_1 = require("typeorm");
let CacheLocation = class CacheLocation {
    constructor(config) {
        if (config) {
            Object.assign(this, Object.assign({}, config));
        }
    }
};
__decorate([
    typeorm_1.PrimaryGeneratedColumn(),
    __metadata("design:type", Number)
], CacheLocation.prototype, "id", void 0);
__decorate([
    typeorm_1.Column('decimal', { precision: 11, scale: 8, nullable: true }),
    __metadata("design:type", Number)
], CacheLocation.prototype, "latitude", void 0);
__decorate([
    typeorm_1.Column('decimal', { precision: 11, scale: 8, nullable: true }),
    __metadata("design:type", Number)
], CacheLocation.prototype, "longitude", void 0);
__decorate([
    typeorm_1.Column({ length: 4000 }),
    __metadata("design:type", String)
], CacheLocation.prototype, "formatted_address", void 0);
__decorate([
    typeorm_1.Column({ nullable: true }),
    __metadata("design:type", String)
], CacheLocation.prototype, "place_id", void 0);
CacheLocation = __decorate([
    typeorm_1.Entity(),
    typeorm_1.Index(['latitude', 'longitude'], { unique: true }),
    __metadata("design:paramtypes", [Object])
], CacheLocation);
exports.CacheLocation = CacheLocation;
//# sourceMappingURL=CacheLocation.js.map