"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Media = void 0;
const typeorm_1 = require("typeorm");
const enumConstant_1 = require("../utils/enumConstant");
let Media = class Media {
    constructor(config) {
        if (config) {
            Object.assign(this, Object.assign({}, config));
        }
    }
};
__decorate([
    typeorm_1.PrimaryGeneratedColumn('uuid'),
    __metadata("design:type", String)
], Media.prototype, "id", void 0);
__decorate([
    typeorm_1.Column(),
    __metadata("design:type", String)
], Media.prototype, "name", void 0);
__decorate([
    typeorm_1.Column({ length: 50 }),
    __metadata("design:type", String)
], Media.prototype, "type", void 0);
__decorate([
    typeorm_1.Column(),
    __metadata("design:type", String)
], Media.prototype, "path", void 0);
__decorate([
    typeorm_1.Column('varchar', { nullable: true }),
    __metadata("design:type", String)
], Media.prototype, "external_url", void 0);
__decorate([
    typeorm_1.Column('text', {
        nullable: true,
        transformer: {
            from(val) {
                try {
                    return JSON.parse(val);
                }
                catch (e) {
                    return null;
                }
            },
            to(val) {
                return JSON.stringify(val);
            },
        },
    }),
    __metadata("design:type", String)
], Media.prototype, "metadata", void 0);
__decorate([
    typeorm_1.Column('tinyint'),
    __metadata("design:type", Number)
], Media.prototype, "status", void 0);
__decorate([
    typeorm_1.Column('simple-array'),
    __metadata("design:type", Array)
], Media.prototype, "available_resolution", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], Media.prototype, "created_at", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], Media.prototype, "updated_at", void 0);
Media = __decorate([
    typeorm_1.Entity(),
    __metadata("design:paramtypes", [Object])
], Media);
exports.Media = Media;
//# sourceMappingURL=Media.js.map