import { EGender } from '../utils/enumConstant';
import { User } from './User';
export declare class ProfileClient {
    constructor(config?: {
        [P in keyof ProfileClient]?: ProfileClient[P];
    });
    user: User;
    full_name: string;
    company: string;
    address: string;
    note: string;
    gender: EGender;
    dob: Date;
    created_at: Date;
    updated_at: Date;
}
