import { Lift } from './Lift';
import { TaskMedia } from './TaskMedia';
import { TaskTime } from './TaskTime';
import { User } from './User';
import { Category } from './Category';
export declare class Task {
    constructor(config?: {
        [P in keyof Task]?: Task[P];
    });
    id: number;
    issue: string;
    error_suggestion: any;
    engineer_report: string;
    status: number;
    type: number;
    rate: number;
    feedback: string;
    alarm_id: string;
    created_at: Date;
    updated_at: Date;
    lift: Lift;
    client: User;
    category: Category;
    engineer: User;
    operator: User;
    times: TaskTime[];
    media_list: TaskMedia[];
}
