"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskMedia = void 0;
const typeorm_1 = require("typeorm");
const Media_1 = require("./Media");
const Task_1 = require("./Task");
let TaskMedia = class TaskMedia {
    constructor(config) {
        if (config) {
            Object.assign(this, Object.assign({}, config));
        }
    }
};
__decorate([
    typeorm_1.ManyToOne(() => Task_1.Task, task => task.media_list, { primary: true }),
    typeorm_1.JoinColumn({ name: 'task_id' }),
    __metadata("design:type", Task_1.Task)
], TaskMedia.prototype, "task", void 0);
__decorate([
    typeorm_1.ManyToOne(() => Media_1.Media, { nullable: false, primary: true }),
    typeorm_1.JoinColumn({ name: 'media_id' }),
    __metadata("design:type", Media_1.Media)
], TaskMedia.prototype, "media", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], TaskMedia.prototype, "created_at", void 0);
TaskMedia = __decorate([
    typeorm_1.Entity(),
    __metadata("design:paramtypes", [Object])
], TaskMedia);
exports.TaskMedia = TaskMedia;
//# sourceMappingURL=TaskMedia.js.map