export declare class Token {
    constructor(config?: {
        [P in keyof Token]?: Token[P];
    });
    id: number;
    user_id: string;
    client_id: string;
    access_token: string;
    access_token_expires_at: Date;
    refresh_token: string;
    refresh_token_expires_at: Date;
}
