"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserInCharge = void 0;
const typeorm_1 = require("typeorm");
const User_1 = require("./User");
const Site_1 = require("./Site");
const enumConstant_1 = require("../utils/enumConstant");
let UserInCharge = class UserInCharge {
    constructor(config) {
        if (config) {
            Object.assign(this, Object.assign({}, config));
        }
    }
};
__decorate([
    typeorm_1.ManyToOne(() => Site_1.Site, site => site.users_in_charge, { primary: true }),
    typeorm_1.JoinColumn({ name: 'site_id' }),
    __metadata("design:type", Site_1.Site)
], UserInCharge.prototype, "site", void 0);
__decorate([
    typeorm_1.ManyToOne(() => User_1.User, user => user.users_in_charge, { primary: true }),
    typeorm_1.JoinColumn({ name: 'user_id' }),
    __metadata("design:type", User_1.User)
], UserInCharge.prototype, "user", void 0);
__decorate([
    typeorm_1.Column('tinyint', { primary: true }),
    __metadata("design:type", Number)
], UserInCharge.prototype, "type", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], UserInCharge.prototype, "created_at", void 0);
UserInCharge = __decorate([
    typeorm_1.Entity(),
    __metadata("design:paramtypes", [Object])
], UserInCharge);
exports.UserInCharge = UserInCharge;
//# sourceMappingURL=UserInCharge.js.map