"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserRegion = void 0;
const typeorm_1 = require("typeorm");
const IsoCode_1 = require("./IsoCode");
const User_1 = require("./User");
let UserRegion = class UserRegion {
    constructor(config) {
        if (config) {
            Object.assign(this, Object.assign({}, config));
        }
    }
};
__decorate([
    typeorm_1.ManyToOne(() => User_1.User, user => user.user_regions, { primary: true }),
    typeorm_1.JoinColumn({ name: 'user_id' }),
    __metadata("design:type", User_1.User)
], UserRegion.prototype, "user", void 0);
__decorate([
    typeorm_1.ManyToOne(() => IsoCode_1.IsoCode, region => region.user_regions, { primary: true }),
    typeorm_1.JoinColumn({ name: 'iso_code_id' }),
    __metadata("design:type", IsoCode_1.IsoCode)
], UserRegion.prototype, "region", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], UserRegion.prototype, "created_at", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], UserRegion.prototype, "updated_at", void 0);
UserRegion = __decorate([
    typeorm_1.Entity(),
    __metadata("design:paramtypes", [Object])
], UserRegion);
exports.UserRegion = UserRegion;
//# sourceMappingURL=UserRegion.js.map