import {MigrationInterface, QueryRunner} from "typeorm";

export class isoAddLocation1656408634227 implements MigrationInterface {
    name = 'isoAddLocation1656408634227'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`iso_code\` ADD \`latitude\` decimal(11,8) NULL`);
        await queryRunner.query(`ALTER TABLE \`iso_code\` ADD \`longitude\` decimal(11,8) NULL`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`iso_code\` DROP COLUMN \`longitude\``);
        await queryRunner.query(`ALTER TABLE \`iso_code\` DROP COLUMN \`latitude\``);
    }

}
