import {MigrationInterface, QueryRunner} from "typeorm";

export class tableCacheLocation1658285434292 implements MigrationInterface {
    name = 'tableCacheLocation1658285434292'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query("CREATE TABLE `cache_location` (`id` int NOT NULL AUTO_INCREMENT, `latitude` decimal(11,8) NULL, `longitude` decimal(11,8) NULL, `formatted_address` varchar(4000) NOT NULL, `place_id` varchar(255) NULL, UNIQUE INDEX `IDX_9aeab286c39cc64081b1216f2d` (`latitude`, `longitude`), PRIMARY KEY (`id`)) ENGINE=InnoDB");
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query("DROP INDEX `IDX_9aeab286c39cc64081b1216f2d` ON `cache_location`");
        await queryRunner.query("DROP TABLE `cache_location`");
    }

}
