import {MigrationInterface, QueryRunner} from "typeorm";

export class addLastLocationAt1658394470402 implements MigrationInterface {
    name = 'addLastLocationAt1658394470402'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query("ALTER TABLE `user` ADD `last_location_at` timestamp NULL");
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query("ALTER TABLE `user` DROP COLUMN `last_location_at`");
    }

}
