"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Building = void 0;
const typeorm_1 = require("typeorm");
const Lift_1 = require("./Lift");
const Site_1 = require("./Site");
let Building = class Building {
    constructor(config) {
        if (config) {
            Object.assign(this, Object.assign({}, config));
        }
    }
};
__decorate([
    typeorm_1.PrimaryGeneratedColumn(),
    __metadata("design:type", Number)
], Building.prototype, "id", void 0);
__decorate([
    typeorm_1.Column(),
    __metadata("design:type", String)
], Building.prototype, "name", void 0);
__decorate([
    typeorm_1.Column('int'),
    __metadata("design:type", Number)
], Building.prototype, "lift_qty", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], Building.prototype, "created_at", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], Building.prototype, "updated_at", void 0);
__decorate([
    typeorm_1.ManyToOne(() => Site_1.Site, site => site.buildings),
    typeorm_1.JoinColumn({ name: 'site_id' }),
    __metadata("design:type", Site_1.Site)
], Building.prototype, "site", void 0);
__decorate([
    typeorm_1.OneToMany(() => Lift_1.Lift, lift => lift.building),
    __metadata("design:type", Array)
], Building.prototype, "lifts", void 0);
Building = __decorate([
    typeorm_1.Entity(),
    __metadata("design:paramtypes", [Object])
], Building);
exports.Building = Building;
//# sourceMappingURL=Building.js.map