import { EStatus } from '../utils/enumConstant';
import { Site } from './Site';
import { UserRegion } from './UserRegion';
export declare class IsoCode {
    constructor(config?: {
        [P in keyof IsoCode]?: IsoCode[P];
    });
    id: number;
    code: string;
    name: string;
    status: EStatus;
    latitude: number;
    longitude: number;
    created_at: Date;
    updated_at: Date;
    sites: Site[];
    user_regions: UserRegion[];
}
