import { EStatus } from '../utils/enumConstant';
export declare class Media {
    constructor(config?: {
        [P in keyof Media]?: Media[P];
    });
    id: string;
    name: string;
    type: string;
    path: string;
    external_url: string;
    metadata: string;
    status: EStatus;
    available_resolution: string[];
    created_at: Date;
    updated_at: Date;
}
