export declare class Notification {
    constructor(config?: {
        [P in keyof Notification]?: Notification[P];
    });
    id: number;
    entity_id: string;
    sender_id: string;
    recipient_id: string;
    type: string;
    title: string;
    content: string;
    data: string;
    url: string;
    is_received: boolean;
    is_read: boolean;
    created_at: Date;
    updated_at: Date;
}
