import { EGender } from '../utils/enumConstant';
import { User } from './User';
export declare class Profile {
    constructor(config?: {
        [P in keyof Profile]?: Profile[P];
    });
    user: User;
    full_name: string;
    address: string;
    gender: EGender;
    dob: Date;
    created_at: Date;
    updated_at: Date;
}
