import { GroupRole } from './GroupRole';
import { PermissionRole } from './PermissionRole';
import { UserRole } from './UserRole';
export declare class Role {
    constructor(config?: {
        [P in keyof Role]?: Role[P];
    });
    id: number;
    group: GroupRole;
    slug: string;
    name: string;
    created_at: Date;
    updated_at: Date;
    permission_roles: PermissionRole[];
    user_roles: UserRole[];
}
