"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserMeta = void 0;
const typeorm_1 = require("typeorm");
const User_1 = require("./User");
let UserMeta = class UserMeta {
    constructor(config) {
        if (config) {
            Object.assign(this, Object.assign({}, config));
        }
    }
};
__decorate([
    typeorm_1.ManyToOne(() => User_1.User, user => user.metadata, {
        primary: true,
        orphanedRowAction: 'delete',
    }),
    typeorm_1.JoinColumn({ name: 'user_id' }),
    __metadata("design:type", User_1.User)
], UserMeta.prototype, "user", void 0);
__decorate([
    typeorm_1.Column({ nullable: false, primary: true }),
    __metadata("design:type", String)
], UserMeta.prototype, "meta_key", void 0);
__decorate([
    typeorm_1.Column({
        type: 'varchar',
        transformer: {
            to(value) {
                if (['[object Object]', '[object Array]'].includes(Object.prototype.toString.call(value))) {
                    return JSON.stringify(value);
                }
                else {
                    return value;
                }
            },
            from(value) {
                try {
                    return JSON.parse(value);
                }
                catch (e) {
                    return value;
                }
            },
        },
    }),
    __metadata("design:type", Object)
], UserMeta.prototype, "meta_value", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], UserMeta.prototype, "created_at", void 0);
__decorate([
    typeorm_1.Column({ type: 'timestamp', nullable: false, default: () => 'CURRENT_TIMESTAMP' }),
    __metadata("design:type", Date)
], UserMeta.prototype, "updated_at", void 0);
UserMeta = __decorate([
    typeorm_1.Entity(),
    __metadata("design:paramtypes", [Object])
], UserMeta);
exports.UserMeta = UserMeta;
//# sourceMappingURL=UserMeta.js.map