import {MigrationInterface, QueryRunner} from "typeorm";

export class AddTimeZone1633328282026 implements MigrationInterface {

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE user ADD COLUMN timezone VARCHAR(3) DEFAULT '7'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE user DROP COLUMN timezone`)
    }
}
