import {MigrationInterface, QueryRunner} from "typeorm";

export class addThumbnailLocation1655265298056 implements MigrationInterface {
    name = 'addThumbnailLocation1655265298056'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`user\` ADD \`latitude\` decimal(11,8) NULL`);
        await queryRunner.query(`ALTER TABLE \`user\` ADD \`longitude\` decimal(11,8) NULL`);
        await queryRunner.query(`ALTER TABLE \`site\` ADD \`thumbnail\` varchar(255) NULL`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`site\` DROP COLUMN \`thumbnail\``);
        await queryRunner.query(`ALTER TABLE \`user\` DROP COLUMN \`longitude\``);
        await queryRunner.query(`ALTER TABLE \`user\` DROP COLUMN \`latitude\``);
    }

}
